require 'spec_helper'
require 'testcloud/support/logger'

describe 'Testcloud::Support.logger' do

  it 'should append a logger to the Testcloud::Support object' do
    expect(Testcloud::Support).to respond_to(:logger)
  end

  it 'should have standard logging methods' do
    [:fatal, :error, :warn, :info, :debug].each do |output_method|
      expect(Testcloud::Support.logger).to respond_to(output_method)
    end
  end
end
